/*
 * For licensing terms, see the file COPYING in this directory
 * For contact information, see the file AUTHORS in this directory
 *
 */
#ifndef _CONFIGSCAN_H_
#define _CONFIGSCAN_H_
#ifndef SCAN_H_
#define SCAN_H_ 1

#include <stdio.h>
#define TOKEN_SIZE (1024)
#define STRING_SIZE (1024)

typedef enum __TOKENTYPE
{
	_NULL,COMMENT,STRING,DEFAULT,NUMBER,FLOAT,EQUAL,COLON,
	BRACEOPEN,BRACECLOSE,ERROR,COMMA,PARENOPEN,PARENCLOSE,
	SCORE_TITLE,SCORE_DESCRIPTION,SCORE_CHANNEL,SCORE_LINK,
	SET
}TOKENTYPE;
typedef struct
{
	char *token;
	int capacity;
	TOKENTYPE tokenid;
	char *code;
	int linecount;
	int colcount;
	char ahead;
	int count;
}CONFIG_SCANNER;

void config_nexttoken(CONFIG_SCANNER *scanner);
#endif

#endif //_CONFIGSCAN_H_
